/*
 * Copyright (c) 2012-2014 Kaarle Ritvanen
 * See LICENSE file for license details
 */

define(["aconf/type", "aconf/widget/inline"], function(type, Base) {
    return Base.extend({
	widget: function(meta) {
	    return type.isTreeNode(meta) ? Base : Base.widget.call(this, meta);
	}
    });
});


